メインコンテンツへスキップ
POST
/
data-studio
/
data-source
/
2026-09-beta
cURL
curl --request POST \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'request=<string>'
import requests

url = "https://api.hubapi.com/data-studio/data-source/2026-09-beta"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "request": "<string>" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('request', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.hubapi.com/data-studio/data-source/2026-09-beta', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

multipart/form-data
file
file
request
string

レスポンス

default - */*
category
string
必須

エラーカテゴリー

correlationId
string<uuid>
必須

リクエストの固有ID。エラー報告またはサポートチケットには必ずこの値を含めてください

:

"aeb5f871-7f07-4993-9211-075dc63e7cbf"

message
string
必須

エラーと修正手順(該当する場合)を記した、人が理解できるメッセージ

:

"An error occurred"

context
object

エラー条件に関する背景状況

:

"{invalidPropertyName=[propertyValue], missingScopes=[scope1, scope2]}"

errors
object[]

エラーに関する詳細情報

エラーまたは推奨の修正手順に関するドキュメントが含まれる関連付けられたURIへのリンク名の対応付け

subCategory
string

エラーに関する具体的な詳細が含まれる特定のカテゴリー

最終更新日 2026年4月10日